Loading...
Searching...
No Matches
Catch::ReporterSpec Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::ReporterSpec:
[legend]

## Public Member Functions

| ReporterSpec (std::string name, Optional< std::string > outputFileName, Optional< ColourMode > colourMode, std::map< std::string, std::string > customOptions)
std::string const & | name () const
Optional< std::string > const & | outputFile () const
Optional< ColourMode > const & | colourMode () const
std::map< std::string, std::string > const & | customOptions () const

## Private Attributes

std::string | m_name
Optional< std::string > | m_outputFileName
Optional< ColourMode > | m_colourMode
std::map< std::string, std::string > | m_customOptions

## Friends

bool | operator== (ReporterSpec const &lhs, ReporterSpec const &rhs)
bool | operator!= (ReporterSpec const &lhs, ReporterSpec const &rhs)

## Detailed Description

Structured reporter spec that a reporter can be created from

Parsing has been validated, but semantics have not. This means e.g. that the colour mode is known to Catch2, but it might not be compiled into the binary, and the output filename might not be openable.

## Constructor & Destructor Documentation

## ReporterSpec()

Catch::ReporterSpec::ReporterSpec | ( | std::string | name,
|  | Optional< std::string > | outputFileName,
|  | Optional< ColourMode > | colourMode,
|  | std::map< std::string, std::string > | customOptions )

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## colourMode()

Optional< ColourMode > const & Catch::ReporterSpec::colourMode | ( |  | ) | const

inline

Here is the caller graph for this function:

## customOptions()

std::map< std::string, std::string > const & Catch::ReporterSpec::customOptions | ( |  | ) | const

inline

Here is the caller graph for this function:

## name()

std::string const & Catch::ReporterSpec::name | ( |  | ) | const

inline

Here is the caller graph for this function:

## outputFile()

Optional< std::string > const & Catch::ReporterSpec::outputFile | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | ReporterSpec const & | lhs,
|  | ReporterSpec const & | rhs )

friend

## operator==

bool operator== | ( | ReporterSpec const & | lhs,
|  | ReporterSpec const & | rhs )

friend

## Member Data Documentation

## m_colourMode

Optional<ColourMode> Catch::ReporterSpec::m_colourMode

private

## m_customOptions

std::map<std::string, std::string> Catch::ReporterSpec::m_customOptions

private

## m_name

std::string Catch::ReporterSpec::m_name

private

## m_outputFileName

Optional<std::string> Catch::ReporterSpec::m_outputFileName

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp